Patch-Source: https://gitlab.freedesktop.org/libfprint/fprintd/-/commit/1be0810b695a88407bca084a12063b78a719345e.diff

diff --git a/meson.build b/meson.build
index 159f0e87b3bbdbc37d574ae043fa38ee2e4207ce..93f96557a2e02adc1aa24c72c82816d1c1a2462f 100644
--- a/meson.build
+++ b/meson.build
@@ -92,7 +92,7 @@ gmodule_dep = dependency('gmodule-2.0', version: '>=' + glib_min_version)
 libfprint_dep = dependency('libfprint-2', version: '>=' + libfprint_min_version)
 polkit_gobject_dep = dependency('polkit-gobject-1', version: '>= 0.91')
 dbus_dep = dependency('dbus-1', required: false)
-libsystemd_dep = dependency('libsystemd', required: get_option('pam'))
+libsystemd_dep = dependency(get_option('libsystemd'), required: get_option('pam'))
 pam_dep = cc.find_library('pam',
     required: get_option('pam'),
     has_headers: 'security/pam_modules.h',
diff --git a/meson_options.txt b/meson_options.txt
index 5daa9a4800a589e582fb1953c7a9c1c321d9ef88..11aa0bef08010ad350cd611a72149e5b13edbeb5 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -10,6 +10,11 @@ option('systemd',
     description: 'Install system service files',
     type: 'boolean',
     value: true)
+option('libsystemd',
+    description: 'Libsystemd provider (libsystemd or libelogind)',
+    type: 'combo',
+    choices: [ 'libsystemd', 'libelogind' ],
+    value: 'libsystemd')
 option('systemd_system_unit_dir',
     description: 'Directory for systemd service files',
     type: 'string')
